## gnokii 0.6.19

=== common/Makefile ===
#
# $Id: Makefile,v 1.94 2007/10/05 21:01:20 pkot Exp $
#
# Makefile for the GNOKII tool suite.
#
# Copyright (C) 1999 Hugh Blemings & Pavel Jank ml.
#               2000 Karel Zak
#		2002-2005 Pawel Kot
#

#
# For this common directory is used "subsystem.la" .la files concept.
#   (the list of object files to be linked together (to COMMON.la),
#   and other dirs is used this _one_ file (instead of all OBJS)
#

TOPDIR=..
include $(TOPDIR)/Makefile.global

# REMEMBER: if you change the numbers below, please change them in gnokii.h as well.
# Change it in the following manner
#  - if you change the code and don't change API, increase GNOKII_RELEASE
#  - if you change API in backward compatible manner (adding things),
#    increase GNOKII_MAJOR, GNOKII_MINOR, set GNOKII_RELEASE to 0
#  - if you change API in backward incompatible manner (removing things,
#    changing things), increase GNOKII_MAJOR, set GNOKII_RELEASE to 0
# Change is just once per release!
GNOKII_MAJOR = 6
GNOKII_MINOR = 3
GNOKII_RELEASE = 1
ifdef WIN32_CROSS
LIBTOOL_UNDEF = -no-undefined
LIBTOOL_VER = -version-info $(GNOKII_MAJOR):$(GNOKII_RELEASE):$(GNOKII_MINOR) -avoid-version
LIBTOOL_RPATH=-rpath $(libdir)
LDLIBS += -lws2_32 -lwinmm
else
LIBTOOL_VER = -version-info $(GNOKII_MAJOR):$(GNOKII_RELEASE):$(GNOKII_MINOR)
LIBTOOL_RPATH=-rpath $(libdir)
endif

OBJS =	libfunctions.lo \
	gsm-api.lo \
	gsm-error.lo \
	gsm-statemachine.lo \
	cfgreader.lo \
	device.lo \
	vcard.lo \
	vcal.lo \
	gnvcal.lo \
	ldif.lo \
	gsm-networks.lo \
	gsm-filetypes.lo \
	readmidi.lo \
	gsm-ringtones.lo \
	gsm-bitmaps.lo \
	gsm-sms.lo \
	gsm-call.lo \
	gsm-encoding.lo \
	gsm-common.lo \
	sms-nokia.lo \
	nokia-decoding.lo \
	pkt.lo \
	compat.lo \
	misc.lo \
	snprintf.lo

ifdef NEED_LCHARSET
OBJS += ../intl/localcharset.lo
endif

all: libgnokii.la

phones/libPHONES.la:
	$(MAKE) -C phones libPHONES.la

links/libLINKS.la:
	$(MAKE) -C links libLINKS.la

devices/libDEVICES.la:
	$(MAKE) -C devices libDEVICES.la

libgnokii.la: $(OBJS) phones/libPHONES.la links/libLINKS.la devices/libDEVICES.la
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) $(LIBTOOL_UNDEF) -o libgnokii.la $(OBJS) phones/libPHONES.la links/libLINKS.la devices/libDEVICES.la $(LIBTOOL_VER) $(LIBTOOL_RPATH) $(LDLIBS)

gnvcal.c: vcal.lx
	$(LEX) -ognvcal.c vcal.lx

clean:
	$(MAKE) -C data clean
	$(MAKE) -C phones clean
	$(MAKE) -C links clean
	$(MAKE) -C devices clean
	$(LIBTOOL) --mode=clean $(RM) libgnokii.la $(OBJS)
	$(RM) *~ depend

distclean:
	$(RM) gnvcal.c

install:
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install $(INSTALL) libgnokii.la $(DESTDIR)$(libdir)
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL_DATA) gnokii.pc $(DESTDIR)$(libdir)/pkgconfig
	@echo

install-strip: install
	@echo

install-suid: install
	@echo

install-ss: install
	@echo

depend dep:
	$(CC) $(CFLAGS) -MM *.c >depend

ifeq (depend,$(wildcard depend))
include depend
endif


.PHONY: all install clean dep depend

=== intl/Makefile ===
# Makefile for directory with message catalog handling library of GNU gettext
# Copyright (C) 1995-1998, 2000-2003 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.

PACKAGE = gnokii
VERSION = 0.6.19

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/local
exec_prefix = ${prefix}
transform = s,x,x,
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
datadir = ${prefix}/share
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/intl
aliaspath = $(localedir)
subdir = intl

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)

l = 

AR = ar
CC = gcc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
RANLIB = ranlib
YACC = bison -y -d
YFLAGS = --name-prefix=__gettext

DEFS = -DLOCALEDIR=\"$(localedir)\" -DLOCALE_ALIAS_PATH=\"$(aliaspath)\" \
-DLIBDIR=\"$(libdir)\" -DIN_LIBINTL \
-DENABLE_RELOCATABLE=1 -DIN_LIBRARY -DINSTALLDIR=\"$(libdir)\" -DNO_XMALLOC \
-Dset_relocation_prefix=libintl_set_relocation_prefix \
-Drelocate=libintl_relocate \
-DDEPENDS_ON_LIBICONV=1 -DHAVE_CONFIG_H
CPPFLAGS =  
CFLAGS = -g -O2 -Wall -fvisibility=hidden 
LDFLAGS = 
LIBS =  -lusb -lbluetooth 

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = \
  gmo.h \
  gettextP.h \
  hash-string.h \
  loadinfo.h \
  plural-exp.h \
  eval-plural.h \
  localcharset.h \
  relocatable.h \
  xsize.h \
  printf-args.h printf-args.c \
  printf-parse.h wprintf-parse.h printf-parse.c \
  vasnprintf.h vasnwprintf.h vasnprintf.c \
  os2compat.h \
  libgnuintl.h.in
SOURCES = \
  bindtextdom.c \
  dcgettext.c \
  dgettext.c \
  gettext.c \
  finddomain.c \
  loadmsgcat.c \
  localealias.c \
  textdomain.c \
  l10nflist.c \
  explodename.c \
  dcigettext.c \
  dcngettext.c \
  dngettext.c \
  ngettext.c \
  plural.y \
  plural-exp.c \
  localcharset.c \
  relocatable.c \
  localename.c \
  log.c \
  printf.c \
  osdep.c \
  os2compat.c \
  intl-compat.c
OBJECTS = \
  bindtextdom.$lo \
  dcgettext.$lo \
  dgettext.$lo \
  gettext.$lo \
  finddomain.$lo \
  loadmsgcat.$lo \
  localealias.$lo \
  textdomain.$lo \
  l10nflist.$lo \
  explodename.$lo \
  dcigettext.$lo \
  dcngettext.$lo \
  dngettext.$lo \
  ngettext.$lo \
  plural.$lo \
  plural-exp.$lo \
  localcharset.$lo \
  relocatable.$lo \
  localename.$lo \
  log.$lo \
  printf.$lo \
  osdep.$lo \
  intl-compat.$lo
DISTFILES.common = Makefile.in \
config.charset locale.alias ref-add.sin ref-del.sin $(HEADERS) $(SOURCES)
DISTFILES.generated = plural.c
DISTFILES.normal = VERSION
DISTFILES.gettext = COPYING.LIB-2.0 COPYING.LIB-2.1 libintl.glibc \
libgnuintl.h_vms Makefile.vms \
libgnuintl.h.msvc-static libgnuintl.h.msvc-shared README.woe32 Makefile.msvc
DISTFILES.obsolete = xopen-msg.sed linux-msg.sed po2tbl.sed.in cat-compat.c \
COPYING.LIB-2 gettext.h libgettext.h plural-eval.c libgnuintl.h

all: all-no
all-yes: libintl.$la libintl.h charset.alias ref-add.sed ref-del.sed
all-no: all-no-no
all-no-yes: libgnuintl.$la
all-no-no:

libintl.a libgnuintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la libgnuintl.la: $(OBJECTS)
	$(LIBTOOL) --mode=link \
	  $(CC) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS) $(LDFLAGS) -o $@ \
	  $(OBJECTS)  $(LIBS) -lc \
	  -version-info $(LTV_CURRENT):$(LTV_REVISION):$(LTV_AGE) \
	  -rpath $(libdir) \
	  -no-undefined

# Libtool's library version information for libintl.
# Before making a gettext release, the gettext maintainer must change this
# according to the libtool documentation, section "Library interface versions".
# Maintainers of other packages that include the intl directory must *not*
# change these values.
LTV_CURRENT=7
LTV_REVISION=0
LTV_AGE=4

.SUFFIXES:
.SUFFIXES: .c .y .o .lo .sin .sed

.c.o:
	$(COMPILE) $<

.y.c:
	$(YACC) $(YFLAGS) --output $@ $<
	rm -f $*.h

bindtextdom.lo: $(srcdir)/bindtextdom.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/bindtextdom.c
dcgettext.lo: $(srcdir)/dcgettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcgettext.c
dgettext.lo: $(srcdir)/dgettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dgettext.c
gettext.lo: $(srcdir)/gettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/gettext.c
finddomain.lo: $(srcdir)/finddomain.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/finddomain.c
loadmsgcat.lo: $(srcdir)/loadmsgcat.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/loadmsgcat.c
localealias.lo: $(srcdir)/localealias.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localealias.c
textdomain.lo: $(srcdir)/textdomain.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/textdomain.c
l10nflist.lo: $(srcdir)/l10nflist.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/l10nflist.c
explodename.lo: $(srcdir)/explodename.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/explodename.c
dcigettext.lo: $(srcdir)/dcigettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcigettext.c
dcngettext.lo: $(srcdir)/dcngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcngettext.c
dngettext.lo: $(srcdir)/dngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dngettext.c
ngettext.lo: $(srcdir)/ngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/ngettext.c
plural.lo: $(srcdir)/plural.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/plural.c
plural-exp.lo: $(srcdir)/plural-exp.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/plural-exp.c
localcharset.lo: $(srcdir)/localcharset.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localcharset.c
relocatable.lo: $(srcdir)/relocatable.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/relocatable.c
localename.lo: $(srcdir)/localename.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localename.c
log.lo: $(srcdir)/log.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/log.c
printf.lo: $(srcdir)/printf.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/printf.c
osdep.lo: $(srcdir)/osdep.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/osdep.c
intl-compat.lo: $(srcdir)/intl-compat.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/intl-compat.c

ref-add.sed: $(srcdir)/ref-add.sin
	sed -e '/^#/d' -e 's/@''PACKAGE''@/gnokii/g' $(srcdir)/ref-add.sin > t-ref-add.sed
	mv t-ref-add.sed ref-add.sed
ref-del.sed: $(srcdir)/ref-del.sin
	sed -e '/^#/d' -e 's/@''PACKAGE''@/gnokii/g' $(srcdir)/ref-del.sin > t-ref-del.sed
	mv t-ref-del.sed ref-del.sed

INCLUDES = -I. -I$(srcdir) -I..

libgnuintl.h: $(srcdir)/libgnuintl.h.in
	sed -e 's,@''HAVE_POSIX_PRINTF''@,1,g' \
	    -e 's,@''HAVE_ASPRINTF''@,1,g' \
	    -e 's,@''HAVE_SNPRINTF''@,1,g' \
	    -e 's,@''HAVE_WPRINTF''@,0,g' \
	  < $(srcdir)/libgnuintl.h.in > libgnuintl.h

libintl.h: libgnuintl.h
	cp libgnuintl.h libintl.h

charset.alias: $(srcdir)/config.charset
	$(SHELL) $(srcdir)/config.charset 'i686-pc-linux-gnu' > t-$@
	mv t-$@ $@

check: all

# We must not install the libintl.h/libintl.a files if we are on a
# system which has the GNU gettext() function in its C library or in a
# separate library.
# If you want to use the one which comes with this version of the
# package, you have to use `configure --with-included-gettext'.
install: install-exec install-data
install-exec: all
	if { test "$(PACKAGE)" = "gettext-runtime" || test "$(PACKAGE)" = "gettext-tools"; } \
	   && test 'no' = yes; then \
	  $(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(includedir); \
	  $(INSTALL_DATA) libintl.h $(DESTDIR)$(includedir)/libintl.h; \
	  $(LIBTOOL) --mode=install \
	    $(INSTALL_DATA) libintl.$la $(DESTDIR)$(libdir)/libintl.$la; \
	  if test "no" = yes; then \
	    dependencies=`sed -n -e 's,^dependency_libs=\(.*\),\1,p' < $(DESTDIR)$(libdir)/libintl.la | sed -e "s,^',," -e "s,'\$$,,"`; \
	    if test -n "$$dependencies"; then \
	      rm -f $(DESTDIR)$(libdir)/libintl.la; \
	    fi; \
	  fi; \
	else \
	  : ; \
	fi
	if test "$(PACKAGE)" = "gettext-tools" \
	   && test 'no' = no; then \
	  $(mkinstalldirs) $(DESTDIR)$(libdir); \
	  $(LIBTOOL) --mode=install \
	    $(INSTALL_DATA) libgnuintl.$la $(DESTDIR)$(libdir)/libgnuintl.$la; \
	  rm -f $(DESTDIR)$(libdir)/preloadable_libintl.so; \
	  $(INSTALL_DATA) $(DESTDIR)$(libdir)/libgnuintl.so $(DESTDIR)$(libdir)/preloadable_libintl.so; \
	  $(LIBTOOL) --mode=uninstall \
	    rm -f $(DESTDIR)$(libdir)/libgnuintl.$la; \
	else \
	  : ; \
	fi
	if test 'no' = yes; then \
	  test yes != no || $(mkinstalldirs) $(DESTDIR)$(libdir); \
	  temp=$(DESTDIR)$(libdir)/t-charset.alias; \
	  dest=$(DESTDIR)$(libdir)/charset.alias; \
	  if test -f $(DESTDIR)$(libdir)/charset.alias; then \
	    orig=$(DESTDIR)$(libdir)/charset.alias; \
	    sed -f ref-add.sed $$orig > $$temp; \
	    $(INSTALL_DATA) $$temp $$dest; \
	    rm -f $$temp; \
	  else \
	    if test yes = no; then \
	      orig=charset.alias; \
	      sed -f ref-add.sed $$orig > $$temp; \
	      $(INSTALL_DATA) $$temp $$dest; \
	      rm -f $$temp; \
	    fi; \
	  fi; \
	  $(mkinstalldirs) $(DESTDIR)$(localedir); \
	  test -f $(DESTDIR)$(localedir)/locale.alias \
	    && orig=$(DESTDIR)$(localedir)/locale.alias \
	    || orig=$(srcdir)/locale.alias; \
	  temp=$(DESTDIR)$(localedir)/t-locale.alias; \
	  dest=$(DESTDIR)$(localedir)/locale.alias; \
	  sed -f ref-add.sed $$orig > $$temp; \
	  $(INSTALL_DATA) $$temp $$dest; \
	  rm -f $$temp; \
	else \
	  : ; \
	fi
install-data: all
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  $(INSTALL_DATA) VERSION $(DESTDIR)$(gettextsrcdir)/VERSION; \
	  $(INSTALL_DATA) ChangeLog.inst $(DESTDIR)$(gettextsrcdir)/ChangeLog; \
	  dists="COPYING.LIB-2.0 COPYING.LIB-2.1 $(DISTFILES.common)"; \
	  for file in $$dists; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  chmod a+x $(DESTDIR)$(gettextsrcdir)/config.charset; \
	  dists="$(DISTFILES.generated)"; \
	  for file in $$dists; do \
	    if test -f $$file; then dir=.; else dir=$(srcdir); fi; \
	    $(INSTALL_DATA) $$dir/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  dists="$(DISTFILES.obsolete)"; \
	  for file in $$dists; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi

install-strip: install

installdirs:
	if { test "$(PACKAGE)" = "gettext-runtime" || test "$(PACKAGE)" = "gettext-tools"; } \
	   && test 'no' = yes; then \
	  $(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(includedir); \
	else \
	  : ; \
	fi
	if test "$(PACKAGE)" = "gettext-tools" \
	   && test 'no' = no; then \
	  $(mkinstalldirs) $(DESTDIR)$(libdir); \
	else \
	  : ; \
	fi
	if test 'no' = yes; then \
	  test yes != no || $(mkinstalldirs) $(DESTDIR)$(libdir); \
	  $(mkinstalldirs) $(DESTDIR)$(localedir); \
	else \
	  : ; \
	fi
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	if { test "$(PACKAGE)" = "gettext-runtime" || test "$(PACKAGE)" = "gettext-tools"; } \
	   && test 'no' = yes; then \
	  rm -f $(DESTDIR)$(includedir)/libintl.h; \
	  $(LIBTOOL) --mode=uninstall \
	    rm -f $(DESTDIR)$(libdir)/libintl.$la; \
	else \
	  : ; \
	fi
	if test "$(PACKAGE)" = "gettext-tools" \
	   && test 'no' = no; then \
	  rm -f $(DESTDIR)$(libdir)/preloadable_libintl.so; \
	else \
	  : ; \
	fi

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2004 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.14

PACKAGE = gnokii
VERSION = 0.6.19

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /scratchbox/tools/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  cs.po de.po et.po fi.po nl.po sk.po pl.po it.po sl.po fr.po zh_CN.po sv.po
GMOFILES =  cs.gmo de.gmo et.gmo fi.gmo nl.gmo sk.gmo pl.gmo it.gmo sl.gmo fr.gmo zh_CN.gmo sv.gmo
UPDATEPOFILES =  cs.po-update de.po-update et.po-update fi.po-update nl.po-update sk.po-update pl.po-update it.po-update sl.po-update fr.po-update zh_CN.po-update sv.po-update
DUMMYPOFILES =  cs.nop de.nop et.nop fi.nop nl.nop sk.nop pl.nop it.nop sl.nop fr.nop zh_CN.nop sv.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in $(DOMAIN).pot stamp-po \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../common/cfgreader.c \
     ../common/data/rlp-common.c \
     ../common/data/virtmodem.c \
     ../common/devices/tcp.c \
     ../common/devices/unixbluetooth.c \
     ../common/devices/unixirda.c \
     ../common/devices/unixserial.c \
     ../common/devices/winbluetooth.c \
     ../common/devices/winirda.c \
     ../common/gsm-bitmaps.c \
     ../common/gsm-common.c \
     ../common/gsm-error.c \
     ../common/gsm-filetypes.c \
     ../common/gsm-networks.c \
     ../common/gsm-ringtones.c \
     ../common/gsm-sms.c \
     ../common/gsm-statemachine.c \
     ../common/libfunctions.c \
     ../common/links/atbus.c \
     ../common/links/cbus.c \
     ../common/links/fbus-3110.c \
     ../common/links/fbus-phonet.c \
     ../common/links/fbus.c \
     ../common/links/gnbus.c \
     ../common/links/m2bus.c \
     ../common/misc.c \
     ../common/nokia-decoding.c \
     ../common/phones/generic.c \
     ../common/phones/nk2110.c \
     ../common/phones/nk3110.c \
     ../common/phones/nk6100.c \
     ../common/phones/nk6510.c \
     ../common/phones/nk7110.c \
     ../common/phones/nokia.c \
     ../common/vcal.lx \
     ../common/vcard.c \
     ../gnokii/gnokii-calendar.c \
     ../gnokii/gnokii-dial.c \
     ../gnokii/gnokii-file.c \
     ../gnokii/gnokii-logo.c \
     ../gnokii/gnokii-monitor.c \
     ../gnokii/gnokii-other.c \
     ../gnokii/gnokii-phonebook.c \
     ../gnokii/gnokii-profile.c \
     ../gnokii/gnokii-ringtone.c \
     ../gnokii/gnokii-security.c \
     ../gnokii/gnokii-settings.c \
     ../gnokii/gnokii-sms.c \
     ../gnokii/gnokii-todo.c \
     ../gnokii/gnokii-utils.c \
     ../gnokii/gnokii-wap.c \
     ../gnokii/gnokii.c \
     ../gnokiid/gnokiid.c \
     ../smsd/file.c \
     ../smsd/lowlevel.c \
     ../smsd/mysql.c \
     ../smsd/pq.c \
     ../smsd/smsd.c \
     ../utils/mgnokiidev.c \
     ../xgnokii/xgnokii.c \
     ../xgnokii/xgnokii_calendar.c \
     ../xgnokii/xgnokii_cfg.c \
     ../xgnokii/xgnokii_common.c \
     ../xgnokii/xgnokii_contacts.c \
     ../xgnokii/xgnokii_data.c \
     ../xgnokii/xgnokii_dtmf.c \
     ../xgnokii/xgnokii_logos.c \
     ../xgnokii/xgnokii_lowlevel.c \
     ../xgnokii/xgnokii_netmon.c \
     ../xgnokii/xgnokii_sms.c \
     ../xgnokii/xgnokii_speed.c \
     ../xgnokii/xgnokii_xkeyb.c \
     ../xgnokii/xgnokii_xring.c

CATALOGS =  cs.gmo de.gmo et.gmo fi.gmo nl.gmo sk.gmo pl.gmo it.gmo sl.gmo fr.gmo zh_CN.gmo sv.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = 1999-2006 Hugh Blemings, Pavel Janik, Pawel Kot

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = feedback@gnokii.org

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@echo "touch stamp-po"
	@echo timestamp > stamp-poT
	@mv stamp-poT stamp-po

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address='$(MSGID_BUGS_ADDRESS)'
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \

=== debian/changelog ===
gnokii (0.6.19) unstable; urgency=low

  * update to gnokii 0.6.19

 -- Pawel Kot <gnokii@gmail.com>  Sun, 20 Oct 2007 17:16:03 +0100

gnokii (0.6.12) unstable; urgency=low

  * update to gnokii 0.6.12

 -- Pawel Kot <gnokii@gmail.com>  Sat, 11 Mar 2006 22:36:03 +0100

gnokii (0.6.11) unstable; urgency=low

  * align with Debian mainline

 -- Pawel Kot <gnokii@gmail.com>  Mon,  6 Feb 2006 23:58:46 +0100

gnokii (0.6.5) unstable; urgency=low

  * updates to new gnokii version
  * remove gnokii wrapper
  * fix smsd build
  * add libfile module to smsd
  * add ppm2nokia and todologo to the installable files
  * update package descrptions

 -- Pawel Kot  Thu, 28 Apr 2005 22:53:34 +0200

gnokii (0.6.0) unstable; urgency=low

  * let Debian users build new gnokii version

 -- Pawel Kot <pkot@linuxnews.pl>  Sun, 22 Feb 2004 23:30:32 +0100

gnokii (0.5.10pre) unstable; urgency=low

  * sync with Debian mainstream package

 -- Pawel Kot <pkot@linuxnews.pl>  Tue, 20 Jan 2004 23:26:51 +0100

gnokii (0.5.9) unstable; urgency=low

  * upgrade to 0.5.9

 -- Pawel Kot <pkot@linuxnews.pl>  Mon, 19 Jan 2004 23:44:42 +0100

gnokii (0.5.8) unstable; urgency=low

  * upgrade to 0.5.8

 -- Pawel Kot <pkot@linuxnews.pl>  Fri, 2 Jan 2004 16:31:45 +0100

gnokii (0.5.0pre4) unstable; urgency=low

  * update scripts to reflect the changes in the file layout
    
 -- Pawel Kot <pkot@linuxnews.pl>  Sat, 4 Jan 2003 15:15:26 +0100

gnokii (0.4.0_pre17) unstable; urgency=low

  * included a test in debian/rules to check for include/config.h.in or run
    autoheader, but commented it out
    
 -- BORBELY Zoltan <bozo@andrews.hu>  Sat, 13 Apr 2002 21:30:34 +0200

gnokii (0.3.3) unstable; urgency=low

  * Pawel has be notified that lintian does not like the "_" and he has
    promised to change this in the future
  * included a test in debian/rules to check for ./configure or run autoconf,
    but commented it out since ./configure should usually be supplied
  * deleting xlogos binary to stop lintian complaints about a missing manpage
  * setting mgnokiidev root SUID in postinst script rather than "make install"
  * rewrote postrm script to do all of its work on "purge"
  * updated Build-Depends to include libc6-dev, xlibs-dev, xutils (for xmkmf), 
    and libgtk1.2-dev.  Note that autoconf is recommended.
  * added "touch Makefile.global" to debian/rules to allow "make clean" on
    un"./configure"d builds
    
 -- Erik Rossen (Linux consultant) <rossen@freesurf.ch>  Sat,  1 Sep 2001 14:04:02 +0200

gnokii (0.3.3_pre25) unstable; urgency=low

  * incorporation of IRDA patch
  * incorporation of Debian packaging patches
  * incorporation of Makefile patch to break up the install targets
    into pieces in preparation for proper Debian-style package building
    
 -- Erik Rossen (Linux consultant) <rossen@freesurf.ch>  Thu, 21 Jun 2001 10:54:02 +0200

gnokii (0.3.3_pre24) unstable; urgency=low

  * other itsy-bitsy changes in order to get gnokii to pass lintian
  * moving gnokii group deletion from postinst to gnokii.postrm
  * splitting-out examples and man pages listings to gnokii.examples
    and gnokii.manpages
    
 -- Erik Rossen (Linux consultant) <rossen@freesurf.ch>  Mon, 18 Jun 2001 21:16:56 +0200

gnokii (0.3.2) stable; urgency=low

  * No changes for debian package in source 
  * This file generate gnokii's build system (sorry deb's guru..)
    
 -- Karel Zak <zakkr@zf.jcu.cz>  Wed, 17 May 2000 13:56:28 +0100

gnokii (0.3.2_pre1) unstable; urgency=low

  * No changes for debian package in source 
    
 -- Karel Zak <zakkr@zf.jcu.cz>  Tue, 11 Jan 2000 16:57:00 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gnokii
Section: user/comm
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>> 4.2.0), cdbs, libglib2.0-dev, libgtk2.0-dev, libxt-dev, gettext, automake1.9, autoconf, libtool, libbluetooth2-dev, bzip2
Standards-Version: 3.7.2

Package: gnokii
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}
Suggests: gnokii-i18n (= ${Source-Version}), gnokii-doc (= ${Source-Version}), xgnokii (= ${Source-Version}), gnokii-smsd (= ${Source-Version})
Conflicts: smstools
Description: Datasuite for the mobile phones (console)
 Gnokii is a suite of programs linked against a backend library that allows
 communication with the phones. It currently supports the most mobile phones,
 all AT capable mobiles as well as Symbian phones.

Package: libgnokii3
Section: user/libs
Architecture: any
Provides: libgnokii2
Depends: ${shlibs:Depends}
Replaces: gnokii (<< 0.6.1-1), libgnokii2
Suggests: gnokii (= ${Source-Version})
Description: Gnokii library
 Gnokii is a suite of programs linked against a backend library that allows
 communication with the phones. It currently supports the most mobile phones,
 all AT capable mobiles as well as Symbian phones.
 .
 This package provides the library used by gnokii.

Package: libgnokii3-dev
Section: devel
Architecture: any
Provides: libgnokii2-dev
Depends: libgnokii3 (= ${Source-Version})
Replaces: gnokii (<< 0.6.1-1), libgnokii2-dev
Description: Gnokii library
 Gnokii is a suite of programs linked against a backend library that allows
 communication with the phones. It currently supports the most mobile phones,
 all AT capable mobiles as well as Symbian phones.
 .
 This package provides the devel headers used by gnokii.

Package: libgnokii3-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgnokii3 (= ${Source-Version})
Description: Debug symbols for libgnokii3
 Debug symbols for libgnokii3 that will allow useful tracebacks and debugging
 on end user machines.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# Update config.{sub,guess} before running configure
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config/config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config/config.guess
#	./configure --prefix=/usr --with-xgnokiidir=/usr --with-x --enable-nls --with-bluetooth --mandir=/usr/share/man --enable-security
	./configure --without-x --without-usb --disable-debug --disable-xdebug --disable-rlpdebug --disable-usb --disable-irda --disable-nls --prefix=/usr --disable-static
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Compile the main package.
	$(MAKE)
	# Compile the smsd subpackage.
#	cd smsd &&\
#	$(MAKE) &&\
#	$(MAKE) libfile.la &&\
#	$(MAKE) libpq.la &&\
#	$(MAKE) libmysql.la
#	#/usr/bin/docbook-to-man debian/gnokii.sgml > gnokii.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
#	-cd smsd &&\
#	$(MAKE) clean
#	-rm -f smsd/.libs
#	-$(MAKE) distclean

	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config/config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config/config.guess
	rm -f po/*.gmo po/stamp-po
	rm -rf debian/conffiles debian/gnokii-smsd* debian/xgnokii \
	       debian/*debhelper debian/postinst debian/postrm debian/substvars \
	       debian/files

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the main package into debian/gnokii
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gnokii/
#	install -m 755 $(CURDIR)/utils/sendsms $(CURDIR)/debian/gnokii/usr/bin/sendsms
#	install -m 755 $(CURDIR)/utils/ppm2nokia $(CURDIR)/debian/gnokii/usr/bin/ppm2nokia
#	install -m 755 $(CURDIR)/utils/todologo $(CURDIR)/debian/gnokii/usr/bin/todologo

	# Install the SMSD subpackage and modules into debian/gnokii-smsd and debian/gnokii-smsd-*
#	cd smsd &&\
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/gnokii-smsd/ bindir=usr/sbin
#	mkdir -p $(CURDIR)/debian/gnokii-smsd/usr/share/smsd
#	mkdir -p $(CURDIR)/debian/gnokii-smsd-mysql/usr/share/smsd
#	mkdir -p $(CURDIR)/debian/gnokii-smsd-pgsql/usr/share/smsd
#	mv $(CURDIR)/debian/gnokii-smsd/usr/lib/smsd/libmysql.la $(CURDIR)/debian/gnokii-smsd-mysql/usr/share/smsd
#	mv $(CURDIR)/debian/gnokii-smsd/usr/lib/smsd/libpq.la $(CURDIR)/debian/gnokii-smsd-pgsql/usr/share/smsd
#	mv $(CURDIR)/debian/gnokii-smsd/usr/lib/smsd/libfile.la $(CURDIR)/debian/gnokii-smsd/usr/share/smsd
#	#rm -fR $(CURDIR)/debian/gnokii-smsd/usr/share
#	rm -fR $(CURDIR)/debian/gnokii-smsd/usr/lib

	mkdir -p $(CURDIR)/debian/gnokii/etc
	sed 's#/usr/local/sbin/#/usr/sbin/#' < $(CURDIR)/Docs/sample/gnokiirc > $(CURDIR)/debian/gnokii/etc/gnokiirc

	# Install libgnokii into debian/libgnokii3
	mkdir -p $(CURDIR)/debian/libgnokii3/usr/lib
	mv $(CURDIR)/debian/gnokii/usr/lib/libgnokii.so.* $(CURDIR)/debian/libgnokii3/usr/lib

	# Install libgnokii into debian/libgnokii3-dev
	mkdir -p $(CURDIR)/debian/libgnokii3-dev/usr
	mv $(CURDIR)/debian/gnokii/usr/include $(CURDIR)/debian/libgnokii3-dev/usr
	mkdir -p $(CURDIR)/debian/libgnokii3-dev/usr/lib
	mv $(CURDIR)/debian/gnokii/usr/lib/libgnokii.so $(CURDIR)/debian/libgnokii3-dev/usr/lib
	mv $(CURDIR)/debian/gnokii/usr/lib/pkgconfig $(CURDIR)/debian/libgnokii3-dev/usr/lib


	# Install xgnokii stuff into debian/xgnokii
#	mkdir -p $(CURDIR)/debian/xgnokii
#	mkdir -p $(CURDIR)/debian/xgnokii/usr/share
#	mv $(CURDIR)/debian/gnokii/usr/share/xgnokii/ $(CURDIR)/debian/xgnokii/usr/share/xgnokii
#	mkdir -p $(CURDIR)/debian/xgnokii/usr/bin
#	mv $(CURDIR)/debian/gnokii/usr/bin/xgnokii $(CURDIR)/debian/xgnokii/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_installdocs
#	dh_installdocs $(CURDIR)/Docs
	# Clean up unneeded stuff from Docs
	rm -fR $(CURDIR)/debian/gnokii/usr/share/doc/gnokii/Docs/{Makefile,man,packaging-howto}

#	Lintian starts barking about duplicate license files and so forth
#	Let's rm these files then ...
	find $(CURDIR)/debian -type f -name "COPYING" -exec rm {} \;
	find $(CURDIR)/debian -type f -name "INSTALL" -exec rm {} \;

	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installman -p gnokii $(CURDIR)/Docs/man/gnokii.1 $(CURDIR)/Docs/man/todologo.1 $(CURDIR)/Docs/man/mgnokiidev.8 $(CURDIR)/Docs/man/gnokiid.8
#	dh_installman -p xgnokii $(CURDIR)/Docs/man/xgnokii.1x
	dh_installinfo
	dh_installchangelogs -p gnokii ChangeLog
#	dh_installchangelogs -p gnokii-smsd smsd/ChangeLog
#	dh_installchangelogs -p gnokii-smsd-pgsql -p gnokii-smsd-mysql
	dh_installchangelogs -p libgnokii3 -p libgnokii3-dev
#	dh_installchangelogs -p xgnokii xgnokii/ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -a
	dh_installdeb
#	dh_perl
	dh_shlibdeps -a -l$(CURDIR)/debian/libgnokii3/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
